Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class WebResourceCollectionImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.WebResourceCollectionImpl

All Implemented Interfaces:
  java.io.Serializable

    public class WebResourceCollectionImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String[]` | `httpMethods`
`private java.lang.String[]` | `urlPatterns`
`private java.lang.String` | `webResourceName`

Constructor Summary
`WebResourceCollectionImpl()`

Method Summary
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`java.lang.String[]` | `getHttpMethods()`
`java.lang.String[]` | `getUrlPatterns()`
`java.lang.String` | `getWebResourceName()`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setHttpMethods(java.lang.String[] httpMethods)`
`void` | `setUrlPatterns(java.lang.String[] urlPatterns)`
`void` | `setWebResourceName(java.lang.String webResourceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webResourceName

    private java.lang.String webResourceName

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### urlPatterns

    private java.lang.String[] urlPatterns

### httpMethods

    private java.lang.String[] httpMethods

Constructor Detail

### WebResourceCollectionImpl

    public WebResourceCollectionImpl()

Method Detail

### getWebResourceName

    public java.lang.String getWebResourceName()

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### getUrlPatterns

    public java.lang.String[] getUrlPatterns()

### getHttpMethods

    public java.lang.String[] getHttpMethods()

### setWebResourceName

    public void setWebResourceName(java.lang.String webResourceName)

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### setUrlPatterns

    public void setUrlPatterns(java.lang.String[] urlPatterns)

### setHttpMethods

    public void setHttpMethods(java.lang.String[] httpMethods)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD